// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "EndlessVendetta/GadgetSystem/CombatGadget.h"
#include "HeatBlast.generated.h"


UCLASS()
class ENDLESSVENDETTA_API AHeatBlast : public ACombatGadget
{
	GENERATED_BODY()

	void Activate() override;

	void FinishedUsing() override;

protected:
	UFUNCTION(BlueprintImplementableEvent)
	void ShootHeatBlast();

	UFUNCTION(BlueprintImplementableEvent)
	void DisplayCooldown(float CooldownLength);
};
